SDL_RenderRect(3)

NAME
SDL_RenderRect - Draw a rectangle on the current rendering target at subpixel precision.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_RenderRect(SDL_Renderer *renderer, const SDL_FRect *rect);

FUNCTION PARAMETERS

renderer
    the renderer which should draw a rectangle.

rect
    a pointer to the destination rectangle, or NULL to outline the entire rendering target.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RenderRects(3)